Description

If a layer is loaded that doesn't have an assigned CRS (eg a Shapefile without a PRJ) then depending on program options settings, QGIS

will either prompt for a CRS or assign a default CRS for the dataset. Without saving a copy of the dataset, this CRS information can only

then be saved in a QGIS project. It would seem sensible at the point of CRS assignment to a layer to write out a qpj file for the dataset, or

present the user with the option to do this.

I thought that the fTools 'Define current projection' command would do this (in the same way that you would define a projection in

ArcGIS), but it seems to mirror the behaviour described above.

Is there a situation where it is not desireable to record the CRS of a dataset with the data files, once it has been assigned?

Should this functionality apply whenever the CRS of a layer is altered?

Using QGIS 1.7.4 (411aff6) under Win7 64bit.

History

#1 - 2012-04-15 10:22 AM - Giovanni Manghi

- Target version set to Version 2.0.0

#2 - 2012-10-06 02:25 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#3 - 2013-03-01 12:13 AM - Andre Joost

With Quantum GIS Lisboa, a .prj file will be written by using fTools 'Define current projection' command, but no .qpj file. This should work in most cases,

because QGIS writes all essential information in the prj file, like TOWGS84 and EPSG code. So I think this ticket can be closed.

#4 - 2015-12-08 09:02 AM - Médéric RIBREUX

- Resolution set to fixed/implemented

- % Done changed from 0 to 100

- Status changed from Open to Closed

Hello, bug triage...

Ok I am closing it because fTools works...
